package log

import (
    "github.com/gin-gonic/gin"
    "github.com/perfect-panel/server/internal/logic/admin/log"
    "github.com/perfect-panel/server/internal/svc"
    "github.com/perfect-panel/server/internal/types"
    "github.com/perfect-panel/server/pkg/result"
)

func GetErrorLogMessageListHandler(svcCtx *svc.ServiceContext) func(c *gin.Context) {
    return func(c *gin.Context) {
        var req types.GetErrorLogMessageListRequest
        _ = c.ShouldBind(&req)
        l := log.NewGetErrorLogMessageListLogic(c.Request.Context(), svcCtx)
        resp, err := l.GetErrorLogMessageList(&req)
        result.HttpResult(c, resp, err)
    }
}
